summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Gerus <ar@bash.org.pl>2014-09-27 14:38:42 +0200
committerRobert Gerus <ar@bash.org.pl>2014-09-27 14:38:42 +0200
commitd0907e576f95dd7af677be85e6c69e8aa19f6a29 (patch)
tree14dad08bce715bac6a8914e732e9421061ef9f1e
parent479c1d59d74a48e6f2fd46ca5caef236f10bacfe (diff)
downloadgentoo-overlay-d0907e576f95dd7af677be85e6c69e8aa19f6a29.tar.gz
gentoo-overlay-d0907e576f95dd7af677be85e6c69e8aa19f6a29.tar.bz2
gentoo-overlay-d0907e576f95dd7af677be85e6c69e8aa19f6a29.tar.xz
gentoo-overlay-d0907e576f95dd7af677be85e6c69e8aa19f6a29.zip
Now it works.
-rw-r--r--x11-libs/libxname/Manifest2
-rw-r--r--x11-libs/libxname/libxname-9999.ebuild6
2 files changed, 4 insertions, 4 deletions
diff --git a/x11-libs/libxname/Manifest b/x11-libs/libxname/Manifest
index 4adbecd..66d6bf7 100644
--- a/x11-libs/libxname/Manifest
+++ b/x11-libs/libxname/Manifest
@@ -1 +1 @@
-EBUILD libxname-9999.ebuild 848 SHA256 820654631f44d1f5912fa6bcf4dcb5d97bf382839ebbaa56c37acf82b3eefba9 SHA512 81d8642c1e7d239f6c96c00a3ff5204ff12a1cc3a79bf0cebc3476a0a20fb813b5f3fe3615ec168745ef2d5aecc2d4901b307e861e062eb813f2a649af4e9731 WHIRLPOOL ab790474e281506c5a9c0242aa5ed33da141f58a0ffdd1bd4754b76643e8794957b43fbb2eac43684987644b867edcac6e09c42de3ff6b5c8e984a39b81e9e67
+EBUILD libxname-9999.ebuild 969 SHA256 49de7d085204c7f70b434c9ec700c5703b12d651f2e66bb78ed02f0a97c88efb SHA512 eb608366f3a6175cad3321087124f74a9b1f1d9105aaf7565f6d09449ff39ea970fc16adcdfdbac5807166c0d93a86584192f080d5eae8bbafe6060859190ca7 WHIRLPOOL 4bdbd53296fe396cac2abe684d6581ed80b5a7039699fe9a0653068f17a82c4248003079c006e570a87540d47b02fc24d7c4afa08ab0c3f1c71b9772775f3616
diff --git a/x11-libs/libxname/libxname-9999.ebuild b/x11-libs/libxname/libxname-9999.ebuild
index 7c17aea..1030700 100644
--- a/x11-libs/libxname/libxname-9999.ebuild
+++ b/x11-libs/libxname/libxname-9999.ebuild
@@ -27,12 +27,12 @@ DEPEND="x11-libs/libX11"
RDEPEND="${DEPEND}"
src_compile() {
- $(tc-getCC) ${LDFLAGS} ${CFLAGS} -o xname.o -fPIC -c xname.c
- $(tc-getCC) ${LDFLAGS} ${CFLAGS} -lX11 -shared -o ${PN}.so xname.o
+ libtool --mode=compile --tag=CC $(tc-getCC) -shared -c xname.c
+ libtool --mode=link --tag=CC $(tc-getCC) -module -export-dynamic -rpath /usr/$(get_libdir) -o ${PN}.la -lX11 xname.lo || die
}
src_install() {
- dolib.so libxname.so
+ libtool --mode=install install -D ${PN}.la ${D}/usr/$(get_libdir)/${PN}.so || die
dodoc README.md
use examples && dodoc -r examples
}